Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QAbstractSocket.SocketError

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QAbstractSocket.SocketError

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractSocket

    public static final class QAbstractSocket.SocketError

extends java.lang.Enum
implements QtEnumerator

This enum describes the socket errors that can occur.

See also:
  `QAbstractSocket::error()`.

See Also:
  Serialized Form

Field Summary
`static QAbstractSocket.SocketError` | `AddressInUseError` The address specified to `QUdpSocket::bind()` is already in use and was set to be exclusive.
`static QAbstractSocket.SocketError` | `ConnectionRefusedError` The connection was refused by the peer (or timed out).
`static QAbstractSocket.SocketError` | `DatagramTooLargeError` The datagram was larger than the operating system's limit (which can be as low as 8192 bytes).
`static QAbstractSocket.SocketError` | `HostNotFoundError` The host address was not found.
`static QAbstractSocket.SocketError` | `NetworkError` An error occurred with the network (e.g., the network cable was accidentally plugged out).
`static QAbstractSocket.SocketError` | `ProxyAuthenticationRequiredError` The socket is using a proxy, and the proxy requires authentication.
`static QAbstractSocket.SocketError` | `RemoteHostClosedError` The remote host closed the connection.
`static QAbstractSocket.SocketError` | `SocketAccessError` The socket operation failed because the application lacked the required privileges.
`static QAbstractSocket.SocketError` | `SocketAddressNotAvailableError` The address specified to `QUdpSocket::bind()` does not belong to the host.
`static QAbstractSocket.SocketError` | `SocketResourceError` The local system ran out of resources (e.g., too many sockets).
`static QAbstractSocket.SocketError` | `SocketTimeoutError` The socket operation timed out.
`static QAbstractSocket.SocketError` | `SslHandshakeFailedError` The SSL/TLS handshake failed, so the connection was closed (only used in QSslSocket)
`static QAbstractSocket.SocketError` | `UnfinishedSocketOperationError` Used by QAbstractSocketEngine only, The last operation attempted has not finished yet (still in progress in the background).
`static QAbstractSocket.SocketError` | `UnknownSocketError` An unidentified error occurred.
`static QAbstractSocket.SocketError` | `UnsupportedSocketOperationError` The requested socket operation is not supported by the local operating system (e.g., lack of IPv6 support).

Method Summary
`static QAbstractSocket.SocketError` | `resolve(int value)` Returns the QAbstractSocket$SocketError constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractSocket.SocketError` | `valueOf(java.lang.String name)`
`static QAbstractSocket.SocketError[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ConnectionRefusedError

    public static final QAbstractSocket.SocketError ConnectionRefusedError

  The connection was refused by the peer (or timed out).

### RemoteHostClosedError

    public static final QAbstractSocket.SocketError RemoteHostClosedError

  The remote host closed the connection. Note that the client socket (i.e., this socket) will be closed after the remote close notification has been sent.

### HostNotFoundError

    public static final QAbstractSocket.SocketError HostNotFoundError

  The host address was not found.

### SocketAccessError

    public static final QAbstractSocket.SocketError SocketAccessError

  The socket operation failed because the application lacked the required privileges.

### SocketResourceError

    public static final QAbstractSocket.SocketError SocketResourceError

  The local system ran out of resources (e.g., too many sockets).

### SocketTimeoutError

    public static final QAbstractSocket.SocketError SocketTimeoutError

  The socket operation timed out.

### DatagramTooLargeError

    public static final QAbstractSocket.SocketError DatagramTooLargeError

  The datagram was larger than the operating system's limit (which can be as low as 8192 bytes).

### NetworkError

    public static final QAbstractSocket.SocketError NetworkError

  An error occurred with the network (e.g., the network cable was accidentally plugged out).

### AddressInUseError

    public static final QAbstractSocket.SocketError AddressInUseError

  The address specified to `QUdpSocket::bind()` is already in use and was set to be exclusive.

### SocketAddressNotAvailableError

    public static final QAbstractSocket.SocketError SocketAddressNotAvailableError

  The address specified to `QUdpSocket::bind()` does not belong to the host.

### UnsupportedSocketOperationError

    public static final QAbstractSocket.SocketError UnsupportedSocketOperationError

  The requested socket operation is not supported by the local operating system (e.g., lack of IPv6 support).

### UnfinishedSocketOperationError

    public static final QAbstractSocket.SocketError UnfinishedSocketOperationError

  Used by QAbstractSocketEngine only, The last operation attempted has not finished yet (still in progress in the background).

### ProxyAuthenticationRequiredError

    public static final QAbstractSocket.SocketError ProxyAuthenticationRequiredError

  The socket is using a proxy, and the proxy requires authentication.

### SslHandshakeFailedError

    public static final QAbstractSocket.SocketError SslHandshakeFailedError

  The SSL/TLS handshake failed, so the connection was closed (only used in QSslSocket)

### UnknownSocketError

    public static final QAbstractSocket.SocketError UnknownSocketError

  An unidentified error occurred.

Method Detail

### values

    public static QAbstractSocket.SocketError[] values()

### valueOf

    public static QAbstractSocket.SocketError valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractSocket.SocketError resolve(int value)

  Returns the QAbstractSocket$SocketError constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD